Open SCAP Library: cpe_item_metadata Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
cpe_item_metadata Struct Reference
CPE » CPE Dictionary

Structure representing metadata of CPE item. More...

`#include <cpe_dict.h>`

## Public Member Functions
struct cpe_item_metadata * | cpe_item_metadata_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | cpe_item_metadata_get_modification_date (const struct cpe_item_metadata *item)
| cpe_item_metadata function to get date More...
const char * | cpe_item_metadata_get_status (const struct cpe_item_metadata *item)
| cpe_item_metadata function to get status More...
const char * | cpe_item_metadata_get_nvd_id (const struct cpe_item_metadata *item)
| cpe_item_metadata function to get nvd ID More...
const char * | cpe_item_metadata_get_deprecated_by_nvd_id (const struct cpe_item_metadata *item)
| cpe_item_metadata function to get NVD ID of deprecated item More...
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | cpe_item_metadata_set_modification_date (struct cpe_item_metadata *item_metadata, const char *new_modification_date)
bool | cpe_item_metadata_set_status (struct cpe_item_metadata *item_metadata, const char *new_status)
bool | cpe_item_metadata_set_nvd_id (struct cpe_item_metadata *item_metadata, const char *new_nvd_id)
bool | cpe_item_metadata_set_deprecated_by_nvd_id (struct cpe_item_metadata *item_metadata, const char *new_deprecated_by_nvd_id)

## Data Fields
char * | modification_date
char * | status
char * | nvd_id
char * | deprecated_by_nvd_id

## Detailed Description

Structure representing metadata of CPE item.

The documentation for this struct was generated from the following files:

- cpedict_priv.c
- cpe_dict.h